Summary:	An X Window System graphical chessboard
Name:		xboard
Version:	4.2.6
Release:	3mdk
Group:		Games/Boards
BuildRequires:	XFree86-devel xpm-devel
URL:		http://www.tim-mann.org/xboard.html

Source:		ftp://ftp.gnu.org/pub/gnu/xboard/xboard-%{version}.tar.bz2
Patch0:		xboard-4.0.5-entry.patch.bz2

Requires:	chessprogram
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
Xboard is an X Window System based graphical chessboard which can be used with
the GNUchess and Crafty chess programs, with Internet Chess Servers (ICSs),
with chess via email, or with your own saved games.

%prep

%setup -q 
%patch0 -p1

%build

%configure

%make 

%install
%makeinstall

#menu
install -d $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/xboard
?package(xboard): \
needs=X11 \
section=Amusement/Boards \
title="XBoard" \
longtitle="A chessboard game" \
command="/usr/bin/xboard" \
icon="boards_section.png"
EOF

%post
%{update_menus}
%_install_info %{name}.info

%postun
%{clean_menus}
%_remove_install_info %{name}.info

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc cmail.doc xboard.doc zic2xpm.doc
%doc COPYING COPYRIGHT ChangeLog ChangeLog.2 FAQ
%doc FAQ.html INSTALL READ_ME
%doc ics-addresses ics-parsing.txt
%{_menudir}/%{name}
%{_bindir}/xboard
%{_bindir}/zic2xpm
%{_bindir}/cmail
%{_bindir}/pxboard
%{_mandir}/man6/xboard.6*
%{_mandir}/man6/zic2xpm.6*
%{_mandir}/man6/cmail.6*
%{_infodir}/xboard.info.bz2

%changelog
* Fri Mar 01 2002 David BAUDENS <baudens@mandrakesoft.com> 4.2.6-3mdk
- Don't hardcode icon PATH in menu
- Use standard boards_section.png for icons (so don't break E menu)

* Wed Feb 06 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 4.2.6-2mdk
- Use License: tag (sorry I missed that on first try).

* Wed Feb 06 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 4.2.6-1mdk
- 4.2.6 out for general consumption.
- Add a URL.

* Tue May  8 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 4.2.3-1mdk
- version 4.2.3

* Wed Feb 07 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 4.2.2-1mdk
- another new and shiny source.

* Tue Feb 06 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 4.2.1-1mdk
- new and shiny source.

* Sun Oct 29 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 4.1.0-1mdk
- new and shiny source.

* Wed Aug 16 2000 David BAUDENS <baudens@mandrakesoft.com> 4.0.7-5mdk
- Fix menu entry

* Wed Aug 16 2000 Enzo Maggi <enzo@mandrakesoft.com> 4.0.7-4mdk
- Minor bug fix in the spec

* Tue Aug 14 2000 Enzo Maggi <enzo@mandrakesoft.com> 4.0.7-3mdk
- introduced the %{_mandir}, %{_bindir}, %{_infodir} etc.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.7-2mdk
- automatically added BuildRequires

* Thu Jun 13 2000 Florin Grad <florin@mandrakesoft.com> 4.0.7-1mdk
- "new" release

* Fri May 05 2000 Florin Grad <florin@mandrakesoft.com> 4.0.5-2mdk
- fix the menu integration

* Sat Apr 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 4.0.5-1mdk
- Updated to 4.0.5
- New groups
- Added docs
- added menu funtions to spec file

* Fri Nov 12 1999 Damien Kroktine <damien@mandrakesoft.com>
- Mandrake release

* Wed Sep  8 1999 Bill Nottingham <notting@redhat.com>
- update to 4.0.3

* Sat Aug 14 1999 Bill Nottingham <notting@redhat.com>
- change requires: to virtual 'chessprogram'

* Thu Aug 12 1999 Bill Nottingham <notting@redhat.com>
- require gnuchess so it will work out of the box

* Fri Jul 30 1999 Bill Nottingham <notting@redhat.com>
- update to 4.0.2

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- cleaned up spec file
- built package for 6.0

* Sat Jul 11 1998 Mike Wangsmo <wanger@redhat.com>
- updated to a new version
- buildrooted the package too

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr
